Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ResetAllNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.ResetAllNotificationSettings

Enclosing class:
  TdApi

public static final class TdApi.ResetAllNotificationSettings extends TdApi.Function<TdApi.Ok>
Resets all notification settings to their default values. By default, all chats are unmuted, the sound is set to "default" and message previews are shown.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`ResetAllNotificationSettings()`
Resets all notification settings to their default values.
`ResetAllNotificationSettings(DataInput input)`
Resets all notification settings to their default values.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ResetAllNotificationSettings

public ResetAllNotificationSettings()
Resets all notification settings to their default values. By default, all chats are unmuted, the sound is set to "default" and message previews are shown.

Returns `Ok`

### ResetAllNotificationSettings

public ResetAllNotificationSettings(DataInput input) throws IOException
Resets all notification settings to their default values. By default, all chats are unmuted, the sound is set to "default" and message previews are shown.

Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`